
const localStorageGameId = "terrassumptions:gameId";
const localStoragePlayerName = "terrassumptions:playerName";
const localStoragePlayerId = "terrassumptions:playerId";

export const saveGameInfoToLocalStorage = (gameId, playerName, playerId) => {
  localStorage.setItem(localStorageGameId, gameId);
  localStorage.setItem(localStoragePlayerName, playerName);
  localStorage.setItem(localStoragePlayerId, playerId);
}

export const clearGameInfoFromLocalStorage = () => {
  localStorage.removeItem(localStorageGameId);
  localStorage.removeItem(localStoragePlayerName);
  localStorage.removeItem(localStoragePlayerId);
}

export const useGameInfoFromLocalStorage = () => {
  const gameId = localStorage.getItem(localStorageGameId);
  const playerName = localStorage.getItem(localStoragePlayerName);
  const playerId = localStorage.getItem(localStoragePlayerId);
  return { gameId, playerName, playerId };
}
